Skip to main content
POST
/
api
/
onboarding
/
individual
/
premium
/
Premium Credit Report
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/individual/premium/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "bvn": "22244545518"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/individual/premium/"

payload = { "bvn": "22244545518" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '22244545518'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/individual/premium/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Premium Individual Credit Report endpoint aggregates credit data from both the Credit Registry and First Central bureaus, providing a unified view of an individual’s credit standing including loan history, creditors, performance, and enquiries.

Endpoint

POST /api/onboarding/individual/premium/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
bvnstringYesThe individual’s 11-digit Bank Verification Number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/premium/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"bvn": "22244545518"}'

Response

200 OK

FieldTypeDescription
data.namestringFull name
data.score.totalNoOfLoansnumberTotal loans on record
data.score.totalBorrowednumberTotal amount borrowed
data.score.creditorsarrayList of creditors
data.score.creditEnquiriesarrayList of credit enquiries
data.score.creditEnquiriesSummaryobjectEnquiry counts by time period
data.score.loanPerformancearrayPer-account performance details
data.score.loanHistoryarrayDetailed loan history
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfLoans": 16,
      "totalNoOfDelinquentFacilities": 0,
      "totalBorrowed": 3761267,
      "totalOutstanding": 0,
      "creditors": [
        {"Subscriber_ID": "737248693595559931", "Name": "NewEdge Finance Limited"}
      ],
      "creditEnquiriesSummary": {
        "Last3MonthCount": "3",
        "Last12MonthCount": "4",
        "Last36MonthCount": "6"
      }
    },
    "searchedDate": "2023-11-23T14:59:16.554Z"
  },
  "message": "Premium check successful"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
bvn
string
required
Example:

"22244545518"

Response

Premium credit report retrieved